Skip to main content
GET
/
v1
/
banks
/
status
cURL
curl --request GET \
  --url https://external.vin.gs/api/v1/banks/status \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "bank_name": "<string>",
      "needs_update": true,
      "new_accounts_available": true,
      "accounts": [
        {
          "id": "<string>",
          "name": "<string>",
          "type": "<string>",
          "subtype": "<string>",
          "balance_cents": 123,
          "currency": "<string>"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vin.gs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Vings OAuth access token or personal access token (vng_pat_…). Use Authorization: Bearer ….

Response

Connected bank status

items
object[]
required